## gl-image-display 0.10

=== debian/changelog ===
gl-image-display (0.10-2) unstable; urgency=medium

  * Fixed incorrect debian/copyright attribution

 -- Dima Kogan <dkogan@debian.org>  Wed, 06 Apr 2022 15:04:17 -0700

gl-image-display (0.10-1) unstable; urgency=medium

  * Initial release (Closes: #1008282)

 -- Dima Kogan <dkogan@debian.org>  Fri, 25 Mar 2022 14:12:30 -0700
