=== debian/changelog ===
gl-image-display (0.11-1build1) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as supported

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 03 Nov 2022 15:45:20 +0000

gl-image-display (0.11-1) unstable; urgency=medium

  * New upstream release

 -- Dima Kogan <dkogan@debian.org>  Wed, 03 Aug 2022 12:08:59 -0700
