## gl-image-display 0.16

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 GL_image_display.o: $(foreach w,image line,$(foreach t,vertex geometry fragment,$w.$t.glsl.h))
 
 %.glsl.h: %.glsl
-	( echo '#version 420'; cat $<; ) | sed 's/.*/"&\\n"/g' > $@.tmp && mv $@.tmp $@
+	< $< sed 's/.*/"&\\n"/g' > $@.tmp && mv $@.tmp $@
 
 EXTRA_CLEAN += *.glsl.h
 
@@ -67,7 +67,7 @@
 
 ############### FLTK widget Python wrapper ############
 install all: Fl_Gl_Image_Widget.py _Fl_Gl_Image_Widget$(PY_EXT_SUFFIX)
-%.py %_pywrap.cc: %.i
+%.py %_pywrap.h %_pywrap.cc: %.i
 	swig \
 	  -w302 -w312 -w325 -w362 -w389 -w401 -w473 -w509 \
 	  -I/usr/include/ \
@@ -84,7 +84,7 @@
 	  -o $*_pywrap.cc \
 	  $<
 
-EXTRA_CLEAN += *_pywrap.cc
+EXTRA_CLEAN += Fl_Gl_Image_Widget.py *_pywrap.h *_pywrap.cc
 Fl_Gl_Image_Widget.py Fl_Gl_Image_Widget_pywrap.cc: Fl_Gl_Image_Widget.hh
 
 Fl_Gl_Image_Widget_pywrap.o: CXXFLAGS += $(PY_MRBUILD_CFLAGS)
