=== debian/changelog ===
gl-image-display (0.16-1) unstable; urgency=medium

  * New upstream release
    - Turned off double buffering

 -- Dima Kogan <dkogan@debian.org>  Thu, 03 Nov 2022 21:33:15 -0700

gl-image-display (0.15.1-1) unstable; urgency=medium

  * New upstream release
    - Minor build updates for old distros

 -- Dima Kogan <dkogan@debian.org>  Tue, 27 Sep 2022 01:02:50 -0700

gl-image-display (0.15-1) unstable; urgency=medium

  * New upstream release

 -- Dima Kogan <dkogan@debian.org>  Mon, 26 Sep 2022 23:52:24 -0700

gl-image-display (0.13-1) unstable; urgency=medium

  * New upstream release:
    - Added more missing make_current() calls
    - New user-accessible flip_x, flip_y flags
 -- Dima Kogan <dkogan@debian.org>  Thu, 22 Sep 2022 16:51:07 -0700

gl-image-display (0.12-1) unstable; urgency=medium

  * New upstream release: OpenGL 3.3 supported

 -- Dima Kogan <dkogan@debian.org>  Mon, 19 Sep 2022 23:39:25 -0700
