## gl-image-display 0.17

=== debian/changelog ===
gl-image-display (0.17-1build1) noble; urgency=medium

  * No-change rebuild to build with python3.12 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 02 Nov 2023 09:20:24 +0100

gl-image-display (0.17-1) unstable; urgency=medium

  * New upstream release
    - Double-buffering is switchable at constructor time. Default is
      DOUBLE-buffered. This can break rendering on i915 hardware
  
 -- Dima Kogan <dkogan@debian.org>  Sat, 30 Sep 2023 13:12:20 -0700
