## gl-image-display 0.18

=== debian/changelog ===
gl-image-display (0.18-1) unstable; urgency=medium

  * New upstream release
    - Silenced benign warnings

 -- Dima Kogan <dkogan@debian.org>  Fri, 26 Apr 2024 22:38:36 -0700
