=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  python3-all-dev:any,
  libpython3-all-dev,
  python3,
- chrpath
+ mrbuild
 Maintainer: Dima Kogan <dkogan@debian.org>
 Standards-Version: 4.6.0
 Homepage:    https://www.github.com/dkogan/GL_image_display
