## gl-image-display 0.20

=== debian/changelog ===
gl-image-display (0.20-2) unstable; urgency=medium

  * Culled Build-Depends for cross-building

 -- Dima Kogan <dkogan@debian.org>  Thu, 17 Oct 2024 06:00:58 -0700

gl-image-display (0.20-1) unstable; urgency=medium

  * New upstream release
    - flip_x/flip_y are respected everywhere: in set_line() and when
      loading an image file
    - I don't ask for FL_OPENGL3: this fixes rendering issues on hardware
      with Intel integrated graphics
     - update_image() draws a black image if image_filename==NULL &&
      image_data==NULL

 -- Dima Kogan <dkogan@debian.org>  Wed, 18 Sep 2024 11:55:36 -0700

gl-image-display (0.19-2) unstable; urgency=medium

  * Added Build-Depends: python3-setuptools (Closes: #1080615)

 -- Dima Kogan <dkogan@debian.org>  Thu, 05 Sep 2024 21:53:30 -0700

gl-image-display (0.19-1) unstable; urgency=medium

  * New upstream release
    - Early Fl_Gl_Image_Widget.set_lines() calls can be deferred
    - The Fl_Gl_Image_Widget can't appear focused

 -- Dima Kogan <dkogan@debian.org>  Sat, 24 Aug 2024 21:12:52 -0700
