=== debian/control ===
--- 
+++ 
@@ -6,6 +6,9 @@
 # with older debian-based distros
  debhelper (>= 11),
  dh-python,
+# for "make install" to work. See
+#   https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1080615
+ python3-setuptools,
  swig,
  libgl1-mesa-dev,
  libepoxy-dev,
@@ -13,9 +16,7 @@
  libfreeimage-dev,
  freeglut3-dev,
  python3-numpy,
- python3-all-dev:any,
- libpython3-all-dev,
- python3,
+ libpython3-dev,
  mrbuild
 Maintainer: Dima Kogan <dkogan@debian.org>
 Standards-Version: 4.6.0
