## gl-image-display 0.21

=== debian/changelog ===
gl-image-display (0.21-1) unstable; urgency=medium

  * New upstream release
    - Reverted "The Fl_Gl_Image_Widget can't appear focused"

 -- Dima Kogan <dkogan@debian.org>  Sun, 22 Dec 2024 14:54:02 -0800
