## gl-image-display 0.21.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,5 @@
-include mrbuild/Makefile.common.header
+include choose_mrbuild.mk
+include $(MRBUILD_MK)/Makefile.common.header
 
 PROJECT_NAME := GL_image_display
 ABI_VERSION  := 0
@@ -71,10 +72,9 @@
 	swig \
 	  -w302 -w312 -w325 -w362 -w389 -w401 -w473 -w509 \
 	  -I/usr/include/ \
-	  -DFL_EXPORT \
+	  -DFL_EXPORT="" \
 	  -DPYTHON \
 	  -DPYTHON3 \
-	  -py3 \
 	  -python \
 	  -c++ \
 	  -keyword \
@@ -108,4 +108,4 @@
   GL_image_display-test-glut.c
 
 
-include mrbuild/Makefile.common.footer
+include $(MRBUILD_MK)/Makefile.common.footer
