=== debian/changelog ===
gl-image-display (0.21.1-2build2) plucky; urgency=medium

  * No-change rebuild against python3-numpy2-abi0

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 28 Jan 2025 11:24:38 +0000

gl-image-display (0.21.1-2build1) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Jan 2025 12:02:42 +0100

gl-image-display (0.21.1-2) unstable; urgency=medium

  * New upstream release to fix broken import of 0.21
    - This is the same thing as the real 0.21 tag, but different from the
    erroneous 0.21-1 debian release

 -- Dima Kogan <dkogan@debian.org>  Sun, 22 Dec 2024 20:14:36 -0800
