=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 # with older debian-based distros
  debhelper (>= 11),
  dh-python,
+ dh-sequence-python3,
 # for "make install" to work. See
 #   https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1080615
  python3-setuptools,
