## gl-image-display 0.22

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,8 @@
  swig,
  libgl1-mesa-dev,
  libepoxy-dev,
- libfltk1.3-dev,
+ libfltk1.4-dev,
+ libcairo2-dev,
  libfreeimage-dev,
  freeglut3-dev,
  python3-numpy,
@@ -50,7 +51,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libgl-image-display0 (= ${binary:Version}),
          ${python3:Depends},
-         python3-fltk,
+         python3-fltk (>> 1.4),
          python3-numpy
 Provides: ${python3:Provides}
 Description: OpenGL-based image visualizer
