## gl-image-display 0.23

=== Makefile ===
--- 
+++ 
@@ -73,6 +73,7 @@
 	  -w302 -w312 -w325 -w362 -w389 -w401 -w473 -w509 \
 	  -I/usr/include/ \
 	  -DFL_EXPORT="" \
+	  -DFL_OVERRIDE="" \
 	  -DPYTHON \
 	  -DPYTHON3 \
 	  -python \
