=== debian/changelog ===
gl-image-display (0.23-1) unstable; urgency=medium

  * New upstream release

 -- Dima Kogan <dkogan@debian.org>  Sat, 10 May 2025 12:35:24 -0700

gl-image-display (0.22-2) unstable; urgency=medium

  * Added forgotten build-depend: libcairo2-dev

 -- Dima Kogan <dkogan@debian.org>  Fri, 11 Apr 2025 23:29:38 -0700

gl-image-display (0.22-1) unstable; urgency=medium

  * New upstream release
    Moving to fltk 1.4

 -- Dima Kogan <dkogan@debian.org>  Thu, 10 Apr 2025 10:15:29 -0700
