=== debian/watch ===
version=4
https://github.com/dkogan/GL_image_display/tags .*/v?(\d\S+)\.tar\.gz
