## gl-image-display 0.24

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 LDLIBS += \
   -lGLU -lGL -lepoxy -lglut \
-  -lfreeimage \
+  -lstb \
   -lm \
   -pthread
