=== debian/changelog ===
gl-image-display (0.24-2) unstable; urgency=medium

  * Build-Depends: python3-numpy-dev. Cross-building works now

 -- Dima Kogan <dkogan@debian.org>  Thu, 01 Jan 2026 23:33:11 -0800

gl-image-display (0.24-1) unstable; urgency=medium

  * New upstream release: libfreeimage -> libstb

 -- Dima Kogan <dkogan@debian.org>  Wed, 24 Dec 2025 23:26:52 -0800
