=== debian/control ===
--- 
+++ 
@@ -15,9 +15,9 @@
  libepoxy-dev,
  libfltk1.4-dev,
  libcairo2-dev,
- libfreeimage-dev,
+ libstb-dev,
  freeglut3-dev,
- python3-numpy,
+ python3-numpy-dev,
  libpython3-dev,
  mrbuild
 Maintainer: Dima Kogan <dkogan@debian.org>
